<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.xmlgateway.co.uk" version="1.0">
	<xsl:output method="html" indent="yes" encoding="ISO-8859-1" cdata-section-elements="script"/>
	<xsl:template match="/">
		<HTML>
			<HEAD>
				<TITLE/>
				<STYLE TYPE="text/css">.BODY {font-family: Verdana; font-size: 12pt; font-style: normal; font-weight: normal; text-align: left; color: #000000; background-color: #FFFFFF; link:#0000FF;  vlink:#C000C0;  alink:#FF0000;}background-image: ;}.heading 	{font-family:Tahoma,Arial,sans-serif;font-size:16pt; font-weight:bold}	.Products{}	.OrderID{}	.UnitPrice{}	.Quantity{}	.Discount{}	.ProductName{}	.Company{}	.sp_H22{color: #FF0000; }	.Product{}	</STYLE>
			</HEAD>
			<BODY CLASS="BODY">
				<DIV CLASS="heading">
					<SPAN/>
				</DIV>
				<xsl:apply-templates select="//Products"/>
			</BODY>
		</HTML>
	</xsl:template>
	<xsl:template match="Products">
		<div class="Products">
			<H2 CLASS="sp_H22">List of Orders</H2>
			<div class="Product">
				<TABLE border="1" style="font-size: 12; border-style: solid; border-color: #000000; border-width: 1px;">
					<TR>
						<TH style="border-width: 1;color: #FF0000; background-color: #00FFFF;">Company</TH>
						<TH style="border-width: 1;color: #FF0000; background-color: #00FFFF;">OrderID</TH>
						<TH style="border-width: 1;color: #FF0000; background-color: #00FFFF;">UnitPrice</TH>
						<TH style="border-width: 1;color: #FF0000; background-color: #00FFFF;">Quantity</TH>
						<TH style="border-width: 1;color: #FF0000; background-color: #00FFFF;">Discount</TH>
						<TH style="border-width: 1;color: #FF0000; background-color: #00FFFF;">ProductName</TH>
					</TR>
					<xsl:for-each select="Product">
						<TR>
							<TD style="background-color: #FFFF00;border-color: #000000;border-width: 1;">
								<SPAN class="Company">
									<xsl:value-of select="Company"/>
								</SPAN>
							</TD>
							<TD style="background-color: #FFFF00;border-color: #000000;border-width: 1;">
								<SPAN class="OrderID">
									<xsl:value-of select="OrderID"/>
								</SPAN>
							</TD>
							<TD style="background-color: #FFFF00;border-color: #000000;border-width: 1;">
								<SPAN class="UnitPrice">
									<xsl:value-of select="UnitPrice"/>
								</SPAN>
							</TD>
							<TD style="background-color: #FFFF00;border-color: #000000;border-width: 1;">
								<SPAN class="Quantity">
									<xsl:value-of select="Quantity"/>
								</SPAN>
							</TD>
							<TD style="background-color: #FFFF00;border-color: #000000;border-width: 1;">
								<SPAN class="Discount">
									<xsl:value-of select="Discount"/>
								</SPAN>
							</TD>
							<TD style="background-color: #FFFF00;border-color: #000000;border-width: 1;">
								<SPAN class="ProductName">
									<xsl:value-of select="ProductName"/>
								</SPAN>
							</TD>
						</TR>
					</xsl:for-each>
				</TABLE>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="Product"/>
	<xsl:template match="Company">
		<span class="Company">
			Company:
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="OrderID">
		<span class="OrderID">
			OrderID:
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="UnitPrice">
		<span class="UnitPrice">
			UnitPrice:
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="Quantity">
		<span class="Quantity">
			Quantity:
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="Discount">
		<span class="Discount">
			Discount:
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
	<xsl:template match="ProductName">
		<span class="ProductName">
			ProductName:
			<xsl:value-of select="."/>
		</span>
	</xsl:template>
</xsl:stylesheet>
